summaryrefslogtreecommitdiffstats
path: root/security/nss/coreconf/fuzz.sh
diff options
context:
space:
mode:
Diffstat (limited to 'security/nss/coreconf/fuzz.sh')
-rw-r--r--security/nss/coreconf/fuzz.sh7
1 files changed, 3 insertions, 4 deletions
diff --git a/security/nss/coreconf/fuzz.sh b/security/nss/coreconf/fuzz.sh
index 67cb7f594..c7b8844b6 100644
--- a/security/nss/coreconf/fuzz.sh
+++ b/security/nss/coreconf/fuzz.sh
@@ -5,8 +5,7 @@ set +e
# Default to clang if CC is not set.
if [ -z "$CC" ]; then
- command -v clang &> /dev/null 2>&1
- if [ $? != 0 ]; then
+ if ! command -v clang &> /dev/null 2>&1; then
echo "Fuzzing requires clang!"
exit 1
fi
@@ -24,8 +23,8 @@ if [ "$fuzz_oss" = 1 ]; then
gyp_params+=(-Dno_zdefs=1 -Dfuzz_oss=1)
else
enable_sanitizer asan
- # Ubsan doesn't build on 32-bit at the moment. Disable it.
- if [ "$build_64" = 1 ]; then
+ # Ubsan only builds on x64 for the moment.
+ if [ "$target_arch" = "x64" ]; then
enable_ubsan
fi
enable_sancov